package com.example.appforkids

import androidx.compose.runtime.Composable
import androidx.navigation.compose.NavHost
import androidx.navigation.compose.composable
import androidx.navigation.compose.rememberNavController
import androidx.navigation.toRoute
import com.example.appforkids.data.Models.Response.UserResponse
import com.example.appforkids.screen.authorize.AuthorizeScreen
import com.example.appforkids.screen.main.ClickerScreen
import com.example.appforkids.screen.reigistration.RegistrationScreen
import com.example.appforkids.screen.score.ScoreScreen
import kotlinx.serialization.Serializable

@Serializable
object Registration

@Serializable
object Authorization

@Serializable
object Score

@Serializable
data class Clicker(val userId: Int)

@Composable
fun Navigation() {
    val navController = rememberNavController()

    NavHost(navController = navController, startDestination = Registration){
        composable<Registration> { RegistrationScreen(onNavigateToAuthorization = {
            navController.navigate(route = Authorization)
        }) }
        composable<Authorization> { AuthorizeScreen({ userId ->
            navController.navigate(route = Clicker(userId = userId))
        }) }
        composable<Clicker>{ navBackStackEntry ->
            val clicker: Clicker = navBackStackEntry.toRoute()
            ClickerScreen(clicker.userId, {navController.navigate(route = Score)})
        }
        composable<Score> { ScoreScreen({navController.navigate(route = Clicker)}) }
    }
}