package com.example.appforkids.screen.authorize

import androidx.compose.foundation.layout.Arrangement
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.foundation.layout.padding
import androidx.compose.material3.Text
import androidx.compose.material3.TextField
import androidx.compose.runtime.Composable
import androidx.compose.runtime.LaunchedEffect
import androidx.compose.runtime.collectAsState
import androidx.compose.runtime.getValue
import androidx.compose.runtime.mutableStateOf
import androidx.compose.runtime.remember
import androidx.compose.runtime.setValue
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.tooling.preview.Preview
import androidx.compose.ui.unit.dp
import androidx.lifecycle.viewmodel.compose.viewModel
import com.example.appforkids.data.Models.Response.UserResponse
import com.example.appforkids.screen.common.CommonButton
import com.example.appforkids.screen.common.CommonTextFieldWithLabel
import kotlinx.coroutines.flow.asStateFlow

@Preview
@Composable
fun AuthorizeScreen(onNavigateToClickerScreen: (Int) -> Unit) {
    val authorizeViewModel:AuthorizeViewModel = viewModel()
    Column(
        horizontalAlignment = Alignment.CenterHorizontally,
        verticalArrangement = Arrangement.Center,
        modifier = Modifier
            .fillMaxSize()
            .padding(5.dp),

    ) {
        if(authorizeViewModel.isSignIn) {
            onNavigateToClickerScreen(authorizeViewModel.userId)
            authorizeViewModel.isSignIn = false;
        }
        CommonTextFieldWithLabel(
            value = authorizeViewModel.login,
            onValueChange = { authorizeViewModel.login = it},
            label = "Введите никнейм"
        )
        CommonTextFieldWithLabel(
            value = authorizeViewModel.password,
            onValueChange = {authorizeViewModel.password = it},
            label = "Введите пароль"
        )
        CommonButton(
            text = "Войти",
            onClick = {
                authorizeViewModel.authorize()
            }
        )
    }
}