package com.example.appforkids.screen.authorize

import androidx.compose.runtime.getValue
import androidx.compose.runtime.mutableIntStateOf
import androidx.compose.runtime.mutableStateOf
import androidx.compose.runtime.setValue
import androidx.lifecycle.ViewModel
import androidx.lifecycle.ViewModelProvider
import androidx.lifecycle.viewModelScope
import androidx.lifecycle.viewmodel.viewModelFactory
import com.example.appforkids.data.HttpClient
import com.example.appforkids.data.Models.Requests.AuthorizeUserRequest
import com.example.appforkids.data.Models.Response.UserResponse
import kotlinx.coroutines.launch

class AuthorizeViewModel(): ViewModel() {
    var login by mutableStateOf("")
    var password by mutableStateOf("")
    var isSignIn by mutableStateOf(false)
    var userId by mutableIntStateOf(-1)
    fun authorize(){
        val authorizeUserRequest = AuthorizeUserRequest(login = login, password = password)
        viewModelScope.launch {
            var user = HttpClient.retrofitInstance.authorizeUser(authorizeUserRequest)
            if (user != null) {
                isSignIn = true
                userId = user.id
            }
        }
    }
}