package com.example.appforkids.screen.main

import android.content.res.Resources
import androidx.compose.foundation.BorderStroke
import androidx.compose.foundation.Image
import androidx.compose.foundation.border
import androidx.compose.foundation.clickable
import androidx.compose.foundation.layout.Arrangement
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.foundation.layout.fillMaxWidth
import androidx.compose.foundation.layout.padding
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.runtime.MutableState
import androidx.compose.runtime.getValue
import androidx.compose.runtime.mutableIntStateOf
import androidx.compose.runtime.mutableStateOf
import androidx.compose.runtime.remember
import androidx.compose.runtime.setValue
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.res.painterResource
import androidx.compose.ui.unit.dp
import com.example.appforkids.R
import com.example.appforkids.data.Models.Response.UserResponse
import com.example.appforkids.screen.common.CommonButton

@Composable
fun ClickerScreen(userId: Int, OnRouteToRating: () -> Unit){
    var countClick by remember { mutableIntStateOf(0) }
    Column(
        horizontalAlignment = Alignment.CenterHorizontally,
        verticalArrangement = Arrangement.Center,
        modifier = Modifier
            .fillMaxSize()
            .padding(5.dp)
    ) {
        Image(
            painter = painterResource(id = R.drawable.pepega),
            contentDescription = "",
            modifier = Modifier.padding(5.dp)
                .clickable { countClick++ }
                .border(border = BorderStroke(1.dp, Color.Gray))
        )
        Text(text = countClick.toString())
        CommonButton(onClick = {OnRouteToRating()}, text = "Открыть рейтинг")
    }
}