package com.example.appforkids.screen.reigistration

import androidx.compose.foundation.layout.Arrangement
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.foundation.layout.padding
import androidx.compose.runtime.Composable
import androidx.compose.runtime.collectAsState
import androidx.compose.runtime.getValue
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.tooling.preview.Preview
import androidx.compose.ui.unit.dp
import androidx.lifecycle.viewmodel.compose.viewModel
import com.example.appforkids.screen.common.CommonButton
import com.example.appforkids.screen.common.CommonTextFieldWithLabel

@Preview
@Composable
fun RegistrationScreen(onNavigateToAuthorization: () -> Unit) {
    val registrationViewModel: RegistrationViewModel = viewModel(factory = RegistrationViewModel.Factory)
    Column(
        horizontalAlignment = Alignment.CenterHorizontally,
        verticalArrangement = Arrangement.Center,
        modifier = Modifier.fillMaxSize().padding(5.dp),

    ) {
        val registerState by registrationViewModel.registrationState.collectAsState()

        CommonTextFieldWithLabel(
            value = registerState.login,
            onValueChange = { registrationViewModel.setLogin(it)},
            label = "Введите никнейм"
        )
        CommonTextFieldWithLabel(
            value = registerState.password,
            onValueChange = {registrationViewModel.setPassword(it)},
            label = "Введите пароль"
        )
        CommonButton(
            text = "Зарегестрироваться",
            onClick = {
                registrationViewModel.registerUser()
                onNavigateToAuthorization()
            }
        )
        CommonButton(
            text = "Авторизоваться",
            onClick = {
                onNavigateToAuthorization()
            }
        )
    }
}