package com.example.appforkids.screen.reigistration

import androidx.lifecycle.AbstractSavedStateViewModelFactory
import androidx.lifecycle.ViewModel
import androidx.lifecycle.ViewModelProvider
import androidx.lifecycle.viewModelScope
import androidx.lifecycle.viewmodel.initializer
import androidx.lifecycle.viewmodel.viewModelFactory
import com.example.appforkids.data.AppForKidsApi
import com.example.appforkids.data.HttpClient
import com.example.appforkids.data.Models.Requests.RegisterUserRequest
import kotlinx.coroutines.flow.MutableStateFlow
import kotlinx.coroutines.launch

class RegistrationViewModel(val appForKidsApi: AppForKidsApi):ViewModel() {
    val registrationState = MutableStateFlow(RegistrationState())

    fun registerUser(){
        val userRequest = RegisterUserRequest(login = registrationState.value.login, password = registrationState.value.password)

        viewModelScope.launch {
            appForKidsApi.registerUser(userRequest)
        }
    }
    fun setLogin(login: String){
        viewModelScope.launch {
            registrationState.emit(registrationState.value.copy(login = login))
        }
    }
    fun setPassword(password: String){
        viewModelScope.launch {
            registrationState.emit(registrationState.value.copy(password = password))
        }
    }
    companion object {
        val Factory:ViewModelProvider.Factory = viewModelFactory {
            initializer {
                RegistrationViewModel(HttpClient.retrofitInstance)
            }
        }
    }
}