package com.example.appforkids.screen.score

import androidx.compose.foundation.layout.Arrangement
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.foundation.layout.padding
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.runtime.collectAsState
import androidx.compose.runtime.getValue
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.tooling.preview.Preview
import androidx.compose.ui.unit.dp
import androidx.lifecycle.viewmodel.compose.viewModel
import com.example.appforkids.screen.common.CommonButton
import com.example.appforkids.screen.common.CommonTextFieldWithLabel

@Composable
fun ScoreScreen(onNavigateToClickerScreen: () -> Unit) {
    val registrationViewModel: ScoreViewModel = viewModel()
    Column(
        horizontalAlignment = Alignment.CenterHorizontally,
        verticalArrangement = Arrangement.Center,
        modifier = Modifier.fillMaxSize().padding(5.dp),

    ) {
        val registerState by registrationViewModel.registrationState.collectAsState()

        registerState.forEach {
            Text(text = "${it.nickname} ${it.clicks}")
        }
        CommonButton(
            text = "Вернуться",
            onClick = {
                onNavigateToClickerScreen()
            }
        )
    }
}