package com.example.appforkids.screen.score

import androidx.lifecycle.ViewModel
import androidx.lifecycle.ViewModelProvider
import androidx.lifecycle.viewModelScope
import androidx.lifecycle.viewmodel.initializer
import androidx.lifecycle.viewmodel.viewModelFactory
import com.example.appforkids.data.AppForKidsApi
import com.example.appforkids.data.HttpClient
import com.example.appforkids.data.Models.Requests.RegisterUserRequest
import com.example.appforkids.data.Models.Response.UserResponse
import kotlinx.coroutines.flow.MutableStateFlow
import kotlinx.coroutines.launch
import okhttp3.Response

class ScoreViewModel():ViewModel() {
    val registrationState = MutableStateFlow<List<UserResponse>>(emptyList())

    init {
        viewModelScope.launch {
            registrationState.emit(HttpClient.retrofitInstance.getUsers())
        }
    }
}